Name:          nmh
Version:       1.8
Release:    1%{?dist}
Summary:       A capable MIME-email-handling system with a command-line interface
License:       BSD
URL:           https://savannah.nongnu.org/projects/nmh
Source0:       https://download-mirror.savannah.gnu.org/releases/%{name}/%{name}-1.8.tar.gz
Patch0:        nmh-use-smtp-port.patch
BuildRequires: cyrus-sasl-devel
BuildRequires: gcc
BuildRequires: gdbm-devel
BuildRequires: libcurl-devel
BuildRequires: make
BuildRequires: ncurses-devel
BuildRequires: openssl-devel
BuildRequires: readline-devel
BuildRequires: w3m
Requires:      w3m
Suggests:      %{_bindir}/vi
Suggests:      %{_sbindir}/sendmail
Conflicts:     pick
Conflicts:     scalasca

%description
nmh is a collection of single-purpose programs that send, receive,
show, search, and otherwise manipulate emails, including MIME.
They combine well with other Unix programs, easing the development
of custom shorthand commands as shell scripts.
Optional GUI interfaces are provided by the external xmh and exmh
projects.  nmh is a descendant of the RAND MH, Mail Handler, project.

%prep
%setup -q -n %{name}-1.8
%patch -P 0 -p1

touch aclocal.m4 Makefile.in config.h.in configure

%build
CFLAGS="$RPM_OPT_FLAGS"
%configure
%make_build

%install
%make_install INSTALL="install -p"

%files
%{_bindir}/*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*
%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/*
%{_mandir}/man[8751]/*
%doc %{_pkgdocdir}/*

%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8-1
- initial build
